gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object This class manages, in a persist way, the configuration information of the application. The handling is done in a independent way of the selected locale.
- Constructor
  2.24.0.0
  To be added
  To be added
- Method
  2.24.0.0
  System.Obsolete
  System.String `` `` a a To be added a To be added
- Method
  2.24.0.0
  System.Obsolete
  System.Void `` `` a a To be added To be added
- Method
  2.24.0.0
  System.Obsolete
  System.Void `` `` a a To be added To be added
- Method
  2.24.0.0
  System.Obsolete
  System.Void `` `` a a To be added To be added
- Method
  2.24.0.0
  System.Obsolete
  System.Void Clears any cached information, including any information that has not been written to file. All non saved configuration data is lost.
- Method
  2.24.0.0
  System.Obsolete
  System.Void `` `` a a To be added To be added
- Method
  2.24.0.0
  System.Obsolete
  System.Boolean `` `` `` a a a To be added a To be added
- Method
  2.24.0.0
  System.Obsolete
  System.Double `` `` `` a a a To be added a To be added
- Method
  2.24.0.0
  System.Obsolete
  System.Int32 `` `` `` a a a To be added a To be added
- Method
  2.24.0.0
  System.Obsolete
  System.String `` `` `` The path to the required item. If the default value for the item is returned its set to a otherwise its a . a Gets the value associated with the path as a , if its not present, the default value will be used. Returns the value in the configuration path or the default value if its not present, as a . To be added
- Method
  2.24.0.0
  System.Obsolete
  System.String `` `` `` a a a To be added a To be added
- Method
  2.24.0.0
  System.Obsolete
  System.Void `` `` `` `` `` a a a a a To be added To be added
- Method
  2.24.0.0
  System.Obsolete
  System.Boolean `` `` a a To be added a To be added
- Method
  2.24.0.0
  System.Obsolete
  System.IntPtr `` `` a a To be added a To be added
- Method
  2.24.0.0
  System.Obsolete
  System.IntPtr `` `` a a To be added a To be added
- Method
  2.24.0.0
  System.Obsolete
  System.IntPtr `` `` `` a a a To be added a To be added
- Method
  2.24.0.0
  System.Obsolete
  System.Int32 `` `` a a To be added a To be added
- Method
  2.24.0.0
  System.Obsolete
  System.Void To be added To be added
- Method
  2.24.0.0
  System.Obsolete
  System.Void `` a To be added To be added
- Method
  2.24.0.0
  System.Obsolete
  System.Void `` `` `` a a a To be added To be added
- Method
  2.24.0.0
  System.Obsolete
  System.Void `` `` `` a a a To be added To be added
- Method
  2.24.0.0
  System.Obsolete
  System.Void `` `` `` a a a To be added To be added
- Method
  2.24.0.0
  System.Obsolete
  System.Void `` `` `` a a a To be added To be added
- Method
  2.24.0.0
  System.Obsolete
  System.Void `` `` `` a a a To be added To be added
- Method
  2.24.0.0
  System.Obsolete
  System.Void `` `` `` `` a a a a To be added To be added
- Method
  2.24.0.0
  System.Obsolete
  System.Boolean Flushes all the configuration data to disk. Returns if its able to write to disk, otherwise its . Nothing is saved on disk till this method gets invoked, or SyncFile_.
- Method
  2.24.0.0
  System.Obsolete
  System.Boolean `` `` The path of the target file. a Flushes all the configuration data to disk, for a given file. Returns if its able to write to disk, otherwise its . Nothing is saved on disk till this method gets invoked, or Sync().